### Method

# Vips Image bandfold

#### Declaration [src]

    int
    vips_bandfold (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Fold up an image horizontally: width is collapsed into bands. Use `factor` to set how much to fold by: `factor` 3, for example, will make the output image three times narrower than the input, and with three times as many bands. By default the whole of the input width is folded up.

Optional arguments

- `factor`: `gint`, fold by this factor

See also

`vips_csvload()`, `vips_bandunfold()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.